Subject: Re: bug#76238: 31.0.50; feature/igc: crash #2, 2025-02-12
From: Pip Cet <[email-masked]>
To: Oliver Reiter <[email-masked]>
Cc: [email-masked]
Date: Sat, 22 Feb 2025 11:51:41 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Pip Cet <[email-masked]> writes:

> Pip Cet <[email-masked]> writes:
>
>> "Oliver Reiter" <[email-masked]> writes:
>>>
>>> So you are suggesting to build with X (or Lucid or so?), and if I keep
>>> seeing these crashes we have established it is not PGTK's fault. Or,
>>
>> Precisely.
>
>>> in the case of no (similar) crashes, that it is indeed PGTK causing
>>> these crashes. Right? If yes, then I'll do that over the next weeks.
>>
>> I think that would be extremely helpful, yes (I'd use the plain GTK3
>> build as it's probably closest to PGTK).  You can also wait for me to
>> commit the initial round of fixes for PGTK and try continuing to use
>> that, of course.
>
> I've done that now.  I can run the PGTK build under X (with the warning)
> and under Wayland under X, and I think it's okay not to disable the PGTK
> + MPS build for now, even though it's obviously not well-tested yet.
>
> So feel free to continue testing with or without PGTK.  I'll have
> another look at the font code because I saw you were using unusual
> settings there, too, so if it turns out not to have been PGTK, that
> might be the issue...

Closing this as likely PGTK-related.  Please keep testing, thanks!

Pip